Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » Editor extensions
Editor extensions [message #78833] Wed, 26 July 2006 07:25 Go to next message
Eclipse UserFriend
Originally posted by: laksefisker.hotmail.com

Greetings!

I was just wondering how one can use org.eclipse.hyades.test.ui.forms.BaseFormEditor
(based on Eclipse forms) for an editor extension. Alternatively, how one
can make a forms-compliant editor that also implements org.eclipse.hyades.ui.editor.IEditorExtension.

I tried just subclassing BaseFormEditor, but ran into a classcast exception
when the framework tried to cast it into an IEditorExtension. Subclassing
BaseFormEditor and implementing IEditorExtension didn't work either, as the
getSelection() methods implemented by both were incompatible.

I'm guessing the BaseFormEditor class isn't in there just for fun. How do
I utilize it? I'm extending the org.eclipse.hyades.ui.editorExtensions extension
point - is there some other extension point that will happily accept a BaseFormEditor?

Thanks,
Henrik W Lund
Re: Editor extensions [message #83464 is a reply to message #78833] Wed, 13 September 2006 11:38 Go to previous messageGo to next message
Paul Slauenwhite is currently offline Paul SlauenwhiteFriend
Messages: 970
Registered: July 2009
Senior Member
Henrik,
Have you answered your question?

Paul
"Henrik W Lund" <laksefisker@hotmail.com> wrote in message
news:baa5ffa099e8c87eac9306d325@news.eclipse.org...
> Greetings!
>
> I was just wondering how one can use
> org.eclipse.hyades.test.ui.forms.BaseFormEditor (based on Eclipse forms)
> for an editor extension. Alternatively, how one can make a forms-compliant
> editor that also implements org.eclipse.hyades.ui.editor.IEditorExtension.
>
> I tried just subclassing BaseFormEditor, but ran into a classcast
> exception when the framework tried to cast it into an IEditorExtension.
> Subclassing BaseFormEditor and implementing IEditorExtension didn't work
> either, as the getSelection() methods implemented by both were
> incompatible.
>
> I'm guessing the BaseFormEditor class isn't in there just for fun. How do
> I utilize it? I'm extending the org.eclipse.hyades.ui.editorExtensions
> extension point - is there some other extension point that will happily
> accept a BaseFormEditor?
>
> Thanks,
> Henrik W Lund
>
>
Re: Editor extensions [message #83874 is a reply to message #83464] Thu, 21 September 2006 08:07 Go to previous message
Eclipse UserFriend
Originally posted by: laksefisker.hotmail.com

Hello Paul,

Yes, I have. I reimplemented it, using TestLogViewer as a template for forms-compliance,
and BaseFormEditor for form content. It now looks exactly like BaseFormEditor,
but uses no deprecated classes or methods (100% forms-compliant).

I really like working with TPTP - it's both well documented and well supported.
I'll be using this list quite actively, I'm sure.

Henrik W Lund

> Henrik,
> Have you answered your question?
> Paul
> "Henrik W Lund" <laksefisker@hotmail.com> wrote in message
> news:baa5ffa099e8c87eac9306d325@news.eclipse.org...
>> Greetings!
>>
>> I was just wondering how one can use
>> org.eclipse.hyades.test.ui.forms.BaseFormEditor (based on Eclipse
>> forms) for an editor extension. Alternatively, how one can make a
>> forms-compliant editor that also implements
>> org.eclipse.hyades.ui.editor.IEditorExtension.
>>
>> I tried just subclassing BaseFormEditor, but ran into a classcast
>> exception when the framework tried to cast it into an
>> IEditorExtension. Subclassing BaseFormEditor and implementing
>> IEditorExtension didn't work either, as the getSelection() methods
>> implemented by both were incompatible.
>>
>> I'm guessing the BaseFormEditor class isn't in there just for fun.
>> How do I utilize it? I'm extending the
>> org.eclipse.hyades.ui.editorExtensions extension point - is there
>> some other extension point that will happily accept a BaseFormEditor?
>>
>> Thanks,
>> Henrik W Lund
Previous Topic:JVM problem running test with ant script
Next Topic:TPTP 4.2.0 installation using update mgr. fails
Goto Forum:
  


Current Time: Thu Dec 18 00:56:08 GMT 2014

Powered by FUDForum. Page generated in 0.02128 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software